<script setup lang="ts">
import { useUserStore } from '../stores/user'

const userStore = useUserStore()
</script>
<template>
  <div class="pa-4 text-center">
    <v-dialog v-model="userStore.dialog" max-width="600" persistent>
      <v-card prepend-icon="mdi-account" title="User Profile" rounded="xl">
        <v-card-text>
          <v-row dense>
            <v-col cols="12" md="12" sm="6">
              <v-text-field
                label="Name*"
                variant="outlined"
                required
                v-model="userStore.userItem.name"
              ></v-text-field>
            </v-col>

            <v-col cols="12" md="12" sm="6">
              <v-text-field
                label="Email*"
                variant="outlined"
                required
                v-model="userStore.userItem.email"
              ></v-text-field>
            </v-col>

            <v-col cols="12" md="12" sm="6">
              <v-text-field
                label="Password*"
                type="password"
                variant="outlined"
                required
                v-model="userStore.userItem.password"
              ></v-text-field>
            </v-col>

            <v-col cols="12" sm="12">
              <v-combobox
                :items="['admin', 'user']"
                label="Roles"
                variant="outlined"
                v-model="userStore.userItem.roles"
              ></v-combobox>
            </v-col>
          </v-row>

          <small class="text-caption text-medium-emphasis">*indicates required field</small>
        </v-card-text>

        <v-divider></v-divider>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" variant="plain" @click="userStore.closeDialog()"></v-btn>

          <v-btn color="primary" text="Save" variant="tonal" @click="userStore.save()"></v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
